@misc{gmsh-bug-curved-high-order,
 author = {Pierre Saramito},
 title = {Are curved and high order gmsh meshes really high order ?},
 note = {\url{http://www.geuz.org/pipermail/gmsh/2012/006967.html}},
 year = 2012
}
@book{Sar-rheolef2-dg,
    author = {P. Saramito},
    title = {Efficient {C++} finite element computing with {Rheolef}:
	volume 2: discontinuous Galerkin methods},
    publisher = "CNRS and LJK",
    year = 2015,
    note = {\url{http://cel.archives-ouvertes.fr/cel-00863021}},
    url =       {http://cel.archives-ouvertes.fr/cel-00863021},
    keywords = {software!fem!rheolef, method!fem, method!discontinuous}
}
@article{OlsReuXu-2012,
  author = {M. A. Olshanskii and A. Reusken and X. Xu},
  title={On surface meshes induced by level set functions},
  journal={Computing and visualization in science},
  volume={15},
  number={2},
  pages={53--60},
  year={2012},
  keywords ={method!level set!intersected mesh}
} 
@techreport{rheolef-manual, 
  author = {P. Saramito}, 
  title       = {{\Rheolef} users manual}, 
  institution = "CNRS-CCSD ed.", 
  note     = {\url{https://www-ljk.imag.fr/membres/Pierre.Saramito/rheolef/rheolef.pdf}}, 
  year        = 2012
}
@unpublished{rheolef-home-page, 
   author = {P. Saramito}, 
   title      = {{\Rheolef} home page}, 
   note     = {\url{https://www-ljk.imag.fr/membres/Pierre.Saramito/rheolef}}, 
   year     = 2012 
} 
@article{hood-taylor-73,
       author = {P. Hood and C. Taylor},
       title = {A numerical solution of the {N}avier-{S}tokes equations using the
                 finite element technique},
       journal = {Comp. and Fluids},

       volume = "1",
       pages = {73--100},
       year = 1973
}
@book{grummp,
        author = {C. Ollivier-Gooch},
        title = {{GRUMMP} version 0.1.7 {U}ser's {G}uide},
        publisher = {University of British Columbia},
        note = {{\tt ftp://tetra.mech.ubc.ca/pub/GRUMMP/}},
        year = {september 1999}
}
@book{qmg,
        author = {S. Vavasis},
        title = {QMG, version 2.0.2},
        publisher = {Cornell University},
        note = {\url{http://www.cs.cornell.edu/Info/People/vavasis/qmg-home.html}},
        year = 1999
}
@inproceedings{brezzi-pitkaranta-84,
	author = {F. Brezzi and J. Pitk\"aranta},
	title = {On the stabilization of finite element approximation of
		the {S}tokes equations},
        booktitle = {Efficient solutions of elliptic systems,
		Kiel, Notes on numerical fluid mechanics},
        volume = {10},
        pages = {11-19},
        year   = {1984}
}
@article{rui-tabata-2001,
        author = {H. Rui and M. Tabata},
        title = {A second order characteristic finite element scheme
                for convection diffusion problems},
        journal = {Numer. Math. ({\em to appear})},
        year = 2001
}
@book{musser-saini-1997,
        author = {D. R. Musser and A. Saini},
        title = {{STL} tutorial and reference guide},
        publisher = {Addison-Wesley},
        year= 1996
}
@book{choe-kim-kim-kim-2001,
        author = {H. J. Choe and D. W. Kim and H. H. Kim and Y. Kim},
	title = {Meshless method for the stationary 
		incompressible {N}avier-{S}tokes equations},
        journal = {Discrete and continuous dynamical systems - serie~B},
	note = {\url{http://aimsciences.org/DCDS-B/Volume1-4/Choi.pdf}},
        year = 2001
}
@article{shen-1991,
        author = {J. Shen},
	title = {Hopf Bifurcation of the Unsteady Regularized Driven Cavity Flow},
	journal = {J. Comp. Phys.},
	note = {\url{http://www.math.purdue.edu/~shen/pub/Cavity.pdf}},
	volume = 95, 
	pages = {228-245},
	year = 1991
}
@article{KobOls-2000-precond-uzawa-stokes-gen,
	author = {G. M. Kobelkov and M. A. Olshanskii},
	title = {Effective preconditioning of {Uzawa} type schemes
		for a generalized {Stokes} problem},
	journal = {Numer. Math.},
	volume = 86,
	pages = {443--470},
	year = 2000,
	note = {\url{http://www.mathcs.emory.edu/~molshan/ftp/pub/gstokes.pdf}},
}
@article{gmsh,
  author = {C. Geuzaine and J.-F. Remacle},
  title = {Gmsh: a three-dimensional finite element mesh generator
	with built-in pre- and post-processing facilities},
  journal = {Int. J. Numer. Meths Engrg.},
  volume = 79, 
  number = 11,
  pages = {1309--1331},
  year = 2009
}
@inproceedings{BrePit-1984,
	author = {F. Brezzi and J. Pitk\"aranta},
	title = {On the stabilization of finite element approximation of
		the {S}tokes equations},
        booktitle = {Efficient solutions of elliptic systems,
		Kiel, Notes on numerical fluid mechanics},
        volume = {10},
        pages = {11-19},
        year   = {1984}
}
@article{Wik-2012-stokes-streamf,
  author = {Wikipedia},
  title = {The {Stokes} stream function},
  journal = {Wikipedia},
  note = {\url{http://en.wikipedia.org/wiki/Stokes_stream_function}},
  year = 2012
}
@book{DenSch-1983,
        author = {J. E. Dennis, Jr. and R. B. Schnablel},
        title = {Numerical methods for unconstraint optimization
                and nonlinear equations},
        publisher = {Prentice Hall}, address = {Englewood Cliff, N. J.},
        year = 1983
}
@article{Tay-1923,
 author = {G. I. Taylor},
 title = {On the decay of vortices in a viscous fluid},
 journal = {Philos. Mag.},
 volume = 46, 
 pages = {671--674},
 year = 1923
}

@article{AmeDufExcKos-2001,
  author={Amestoy, P. R. and Duff, I. S. and L'Excellent, J.-Y. and Koster, J.},
  title={A fully asynchronous multifrontal solver using distributed dynamic scheduling},
  journal={SIAM J. Matrix Anal. Appl.},
  volume={23},
  number={1},
  pages={15--41},
  year={2001},
  url={http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.40.4181&rep=rep1&type=pdf},
  keywords={software!linalg!mumps, matrix!solver!direct, matrix!sparse, programming!parallelism!mpi}
}
@article{AmeGueExcPra-2006,
  author={Amestoy, P. R and Guermouche, A.  and L'Excellent, J.-Y.  and Pralet, S.},
  title={Hybrid scheduling for the parallel solution of linear systems},
  journal={Parallel Comput.},
  volume={32},
  number={2},
  pages={136--156},
  year={2006},
  url={http://hal.inria.fr/inria-00070599/PDF/RR-5404.pdf},
  keywords={software!linalg!mumps, matrix!solver!direct, matrix!sparse, programming!parallelism!mpi}
}
@manual{Pel-2010-mpi,
 author = {F. Pellegrini}, 
 title = {{PT-Scotch} and libscotch 5.1 user's guide},
 organization = {Universit\'e de Bordeaux and INRIA, France},
 year = 2010,
 url = {http://www.labri.fr/~pelegrin/scotch},
 keywords = {software!linalg!scotch, matrix!sparse, programming!algorithmic!graph theory, programming!parallelism!mpi}
}
